Package weka.classifiers.bayes.net.estimate

# Class DiscreteEstimatorFullBayes

java.lang.Object
weka.estimators.Estimator
weka.classifiers.bayes.net.estimate.DiscreteEstimatorBayes
weka.classifiers.bayes.net.estimate.DiscreteEstimatorFullBayes

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Scoreable`, `CapabilitiesHandler`, `CapabilitiesIgnorer`, `OptionHandler`, `RevisionHandler`

public class DiscreteEstimatorFullBayes extends DiscreteEstimatorBayes
Symbolic probability estimator based on symbol counts and a prior.

Version:
  $Revision: 8034 $
Author:
  Remco Bouckaert (rrb@xm.co.nz)
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from interface weka.classifiers.bayes.net.search.local.Scoreable

  `AIC, BAYES, BDeu, ENTROPY, MDL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DiscreteEstimatorFullBayes(int nSymbols, double w1, double w2, DiscreteEstimatorBayes EmptyDist, DiscreteEstimatorBayes ClassDist, double fPrior)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getRevision()`
  Returns the revision string.
  `static void`
  `main(String[] argv)`
  Main method for testing this class.

  ### Methods inherited from class weka.classifiers.bayes.net.estimate.DiscreteEstimatorBayes

  `addValue, getCount, getNumSymbols, getProbability, logScore, toString`

  ### Methods inherited from class weka.estimators.Estimator

  `addValues, addValues, addValues, addValues, buildEstimator, buildEstimator, clone, debugTipText, doNotCheckCapabilitiesTipText, equals, forName, getCapabilities, getDebug, getDoNotCheckCapabilities, getOptions, listOptions, makeCopies, makeCopy, setDebug, setDoNotCheckCapabilities, setOptions, testCapabilities`

  ### Methods inherited from class java.lang.Object

  `getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DiscreteEstimatorFullBayes

    public DiscreteEstimatorFullBayes(int nSymbols, double w1, double w2, DiscreteEstimatorBayes EmptyDist, DiscreteEstimatorBayes ClassDist, double fPrior)
    Constructor
    Parameters:
      `nSymbols` - the number of possible symbols (remember to include 0)
      `w1` -
      `w2` -
      `EmptyDist` -
      `ClassDist` -
      `fPrior` -

- ## Method Details

  - ### getRevision

    public String getRevision()
    Returns the revision string.
    Specified by:
      `getRevision` in interface `RevisionHandler`
    Overrides:
      `getRevision` in class `DiscreteEstimatorBayes`
    Returns:
      the revision

  - ### main

    public static void main(String[] argv)
    Main method for testing this class.
    Parameters:
      `argv` - should contain a sequence of integers which will be treated as symbolic.